package pro.litvinovg.w2phtml.gui;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

import ch.qos.logback.core.AppenderBase;

public class LogAppender<ILoggingEvent> extends AppenderBase<ILoggingEvent> {

  private Map eventMap = new ConcurrentHashMap();
	private String prefix;
  private static LogAppender LOG_APPENDER_INSTANCE = null;
  
  public String getPrefix() {
    return prefix;
  }

  public void setPrefix(String prefix) {
  	this.prefix = prefix;
  }
	@Override
	protected void append(ILoggingEvent event) {
		if (prefix == null || "".equals(prefix)) {
			addError("Prefix is not set for LogAppender.");
			return;
		}
		eventMap.put(prefix + System.currentTimeMillis(), event);
	}
	
	public LogAppender createInstance() {
		if (LOG_APPENDER_INSTANCE == null) {
			LOG_APPENDER_INSTANCE = new LogAppender();
		}
		return LOG_APPENDER_INSTANCE;
	}
	
	public void putEvent(String key, String value) {
		eventMap.put(key, value);
	}
	public Map getEventMap() {
		return eventMap;
	}
}
